class GroundColorsController < ApplicationController
  layout 'test' if MagicNumber['test_layout']
  if MagicNumber['run_mode'] == 0
    before_filter :authenticate_user, :only => []
    before_filter :authenticate_author, :only => []
  else
    before_filter :authenticate_reader, :only => [:index, :show]
    before_filter :authenticate_user, :only => []
    before_filter :authenticate_author, :only => []
  end

  # GET /ground_colors
  # GET /ground_colors.json
  def index
    @page = GroundColor.page params[:page]
    @page_size = GroundColor.page_size params[:page_size]
    @ground_colors = GroundColor.list(@page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render :json => @ground_colors.to_json(GroundColor.list_json_opt) }
    end
  end
  
  def show
    @ground_color = GroundColor.show(params[:id], [@user, @admin])
    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @ground_color.to_json(GroundColor.show_json_opt) }
    end
  end
end
