class SystemController < ApplicationController
  before_filter :authenticate_admin!, :except => [:start]
  
  #layout :system
  
  def start
  end
  
  def index
  end
  
  def import
  end
  
  def browse
  end
  
  def auth_token
  end
  
  def create_token
    @admin = current_admin
    respond_to do |format|
      if @admin.create_token
        flash[:notice] = I18n.t('flash.notice.created', :model => Admin.human_attribute_name(:authentication_token))
        format.html { redirect_to({:action => :auth_token}) }
      else
        flash[:notice] = I18n.t('flash.notice.not_created', :model => Admin.human_attribute_name(:authentication_token))
        format.html { render action: "auth_token" }
      end
    end
  end
  
  def delete_token
    respond_to do |format|
      if current_admin.delete_token
        flash[:notice] = I18n.t('flash.notice.destroyed', :model => Admin.human_attribute_name(:authentication_token))
        format.html { redirect_to :action => :auth_token}
      else
        flash[:notice] = I18n.t('flash.notice.not_destroyed', :model => Admin.human_attribute_name(:authentication_token))
        format.html { render action: "auth_token" }
      end
    end
  end
  
  def approve
    @admin = Admin.find params[:id]
    respond_to do |format|
      if @admin.apv
        format.html { redirect_to({:action => :waiting_list}, {:notice => 'admin was successfully approved.'}) }
      else
        format.html { render action: "waiting_list" }
      end
    end
  end
  
  def waiting_list
    @waits = Admin.find(:all, :conditions => ['approve = 0'])
  end
  
  def accept_admin
    @newadmin = Admin.find params[:id]
    if admin_signed_in? and current_admin.activate
      @newadmin.activate = 1
      @newadmin.save
    else
    end
  end
  
  def production_layout
    MagicNumber['test_layout'] = false
    respond_to do |format|
      format.html { render text: 'production', status: 200 }
    end
  end
  
  def test_layout
    MagicNumber['test_layout'] = 'test'
    respond_to do |format|
      format.html { render text: 'test', status: 200 }
    end
  end
  
end
